Page MenuHomePhabricator

Deploy PageAssessments to Turkish Wikipedia
Closed, ResolvedPublic5 Story Points

Description

They appear to have a assessment system very similar to English, including importance ratings and a meta template.

Example talk page: https://tr.wikipedia.org/wiki/Tart%C4%B1%C5%9Fma:Belgrad

Meta template: https://tr.wikipedia.org/wiki/%C5%9Eablon:WPBannerMeta

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable PageAssessments on trwiki

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2018, 2:03 AM

Is there something that needs PageAssessments on Turkish? If there's a request for CopyPatrol or something, then doing this would be a good idea.

Is there something that needs PageAssessments on Turkish? If there's a request for CopyPatrol or something, then doing this would be a good idea.

XTools, possibly Programs & Events Dashboard, among any other consumers of the API. For me, mostly just XTools :)

I'm happy to set it up if someone shows me how. If it's just like enwiki (it seems it is), maybe it's that easy, just make the same changes to the meta template. If I remember correctly there are possible performance implications too, where we need to be around to monitor the job queue, etc.?

Is there something that needs PageAssessments on Turkish? If there's a request for CopyPatrol or something, then doing this would be a good idea.

XTools, possibly Programs & Events Dashboard, among any other consumers of the API. For me, mostly just XTools :)

Oh I didn't realize XTools uses PageAssessments! That's nice. We can definitely deploy it in that case.

I'm happy to set it up if someone shows me how. If it's just like enwiki (it seems it is), maybe it's that easy, just make the same changes to the meta template. If I remember correctly there are possible performance implications too, where we need to be around to monitor the job queue, etc.?

It's pretty much like on enwiki. The performance implications occur from the template being modified - which is possibly present on thousands of pages. I believe we did some sort of controlled rollout on enwiki where we changed the sub-templates first and then the main one. For Turkish, we shouldn't have to do that. @kaldari actually did the rollout - he might remember more.

Niharika set the point value for this task to 5.Feb 7 2018, 12:19 AM

Trwiki's top admin appears to be proficient in English. I've asked them about Page Asssessments at https://tr.wikipedia.org/wiki/Kullanıcı_mesaj:Superyetkin#Bringing_Page_Assessments_to_Turkish_Wikipedia

I would be interested in helping you out with enabling this feature on trwiki. Is there anything we (the community) can do at the moment?

@Superyetkin Certainly! The first step is getting a rough "go ahead" from the community. Then we'll deploy the extension, and ask the community to update the template. I'm nearly certain your templates will work, as they are very similar to enwiki's.

Would you mind chiming in at Kullanıcı mesaj:Superyetkin (hopefully they don't mind)? I think if we get an OK from even two people that'd be enough to move forward with this. Broader discussion isn't really necessary since this feature is invisible to readers and does not affect editing.

I have just started a discussion here. We will move forward with this according to the comments appearing there.

Thanks! In my last comment (T184969#4019274) I somehow failed to realize you are the same person I contacted on-wiki... ha! Sorry for the confusion =p We do want opinions from multiple people, so it's good you've started a discussion. Looking forward to hearing what the community has to say.

@Superyetkin I see we've gathered support from one user, but otherwise have received no feedback since March 3. Do you think the community needs more time to discuss, or are we safe to move forward with deployment?

Superyetkin triaged this task as Medium priority.Mar 21 2018, 5:00 PM

I think we can move forward with this. Thanks.

Woohoo! Your the first one to give the go ahead. I'll get the ball rolling on deploying the extension, and we'll reach out to you once it's time to update the template. Cheers

Change 421080 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[operations/mediawiki-config@master] Enable PageAssessments on trwiki

https://gerrit.wikimedia.org/r/421080

MusikAnimal edited projects, added Community-Tech-Sprint; removed Community-Tech.
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 421080 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable PageAssessments on trwiki

https://gerrit.wikimedia.org/r/421080

Mentioned in SAL (#wikimedia-operations) [2018-03-28T23:18:37Z] <ebernhardson@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: T184969: Enable PageAssessments on trwiki (duration: 01m 09s)

Alright, we are ready to add the template! From what I can tell, Şablon:WPBannerMeta is what needs to be updated.

@Superyetkin Would you feel comfortable doing this? I'm going to ping @Mavrikant too, as they are a major contributor to this template, and it appears they speak English.

Allow me to explain how this process should work. First, let's coordinate a time to do it so that I'm around when you update the template. This way I can monitor database activity. Are either of you on IRC? What is your typical availability (UTC time)? We could also use the Phabricator chat system, if you don't want to use IRC.

The code that will need to be added should look something like:

{{#assessment:{{{PROJE}}}|{{#ifeq:{{{sınıf|¬}}}|¬||{{{sınıf}}}}}|{{#ifeq:{{{Önem|¬}}}|¬||{{{Önem}}}}}}}

Does that look right to you? This is more or less exactly how it is used on the English Wikipedia. See mw:Extension:PageAssessments#Usage for more information on usage. Basically, the format is {{#assessment: <name of the wikiproject> | <class> | <importance>}},

Note that it is important that this not be included if the template is substituted. It looks like there's some logic in WPBannerMeta to only do things if the template is transcluded, and this is where the parser function should go.

After the template is updated, you should start see the articles show up at Özel:PageAssessments. It may take a while for all the data to populate.

Thanks, and looking forward to hearing from you!

@MusikAnimal: Note that on English Wikipedia they use a "mask" to normalize the values given to the class parameter, to ensure that invalid inputs are discarded (e.g. |class=cheesecake) and that equivalent inputs appear the same (e.g. |class=FA and |class=fA). See https://en.wikipedia.org/wiki/Template:Class_mask. Turkish Wikipedia is also using a class mask for their WPBannerMeta template, but note that the class mask is not applied directly in Şablon:WPBannerMeta. You'll probably want to include the parser function in Şablon:WPBannerMeta/core since the sınıf/class has already been normalized at that point (I believe).

@MusikAnimal: Note that on English Wikipedia they use a "mask" to normalize the values given to the class parameter, to ensure that invalid inputs are discarded (e.g. |class=cheesecake) and that equivalent inputs appear the same (e.g. |class=FA and |class=fA). See https://en.wikipedia.org/wiki/Template:Class_mask. Turkish Wikipedia is also using a class mask for their WPBannerMeta template, but note that the class mask is not applied directly in Şablon:WPBannerMeta. You'll probably want to include the parser function in Şablon:WPBannerMeta/core since the sınıf/class has already been normalized at that point (I believe).

Thanks! I just went through the core template, and it looks like it is near identical to enwiki.

So I think within the <includeonly> at the bottom of Şablon:WPBannerMeta/core, you just need to put:

{{#assessment:{{{PROJE}}}|{{#ifeq:{{{sınıf|¬}}}|¬||{{{sınıf}}}}}|{{#ifeq:{{{önem|¬}}}|¬||{{{önem}}}}}}}
Superyetkin closed this task as Resolved.Apr 4 2018, 5:01 PM

Okay, I have updated the templates and everything seems to work fine now. Thanks.

Well, I was going to try to monitor database activity at the same time as you updated the template, but anyway, all looks fine on my end! So no worries there. Thanks for your help on this.

We still need to do some other work before XTools and Pageviews Analysis will show the assessment data. I expect to have that done soon, perhaps within a week. In the meantime you still have Özel:PageAssessments to browse through assessments.

Cheers!